package batch_msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/batch_msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /batch_msg/stop batch_msg StopBatchMsg
//
// Stop batch_msg by ID | 通过ID停止BatchMsg
//
// Stop batch_msg by ID | 通过ID停止BatchMsg
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: BaseMsgResp

func StopBatchMsgHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := batch_msg.NewStopBatchMsgLogic(r.Context(), svcCtx)
		resp, err := l.StopBatchMsg(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
